import request from '@/utils/request'

// 查询扣款列表
export function listCompanyDeduct(query) {
  return request({
    url: '/company/companyDeduct/list',
    method: 'get',
    params: query
  })
}

// 查询扣款详细
export function getCompanyDeduct(deductId) {
  return request({
    url: '/company/companyDeduct/' + deductId,
    method: 'get'
  })
}

// 新增扣款
export function addCompanyDeduct(data) {
  return request({
    url: '/company/companyDeduct',
    method: 'post',
    data: data
  })
}

// 修改扣款
export function updateCompanyDeduct(data) {
  return request({
    url: '/company/companyDeduct',
    method: 'put',
    data: data
  })
}

// 删除扣款
export function delCompanyDeduct(deductId) {
  return request({
    url: '/company/companyDeduct/' + deductId,
    method: 'delete'
  })
}

// 导出扣款
export function exportCompanyDeduct(query) {
  return request({
    url: '/company/companyDeduct/export',
    method: 'get',
    params: query
  })
}

export function audit(data) {
  return request({
    url: '/company/companyDeduct/audit',
    method: 'post',
    data: data
  })
}
